# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, buildPackages, legacyPackages, ... }:
with pkgs;

let
  storeTarball = buildPackages.runCommand "store" { } ''
    mkdir -p $out
    tar cf "$out/store.tar" --absolute-names "${legacyPackages.hello}"
  '';
in testEnv.mkTest {
  name = "nix-store";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ''
    ${
      ./nix-store.dhall
    } \"${storeTarball}/store.tar\" \"${legacyPackages.hello}/bin/hello\"'';
  testInputs = [ storeTarball ]
    ++ map pkgs.genodeSources.depot [ "cached_fs_rom" "vfs" ];
}
